:root {
  --primary: rgb(218, 165, 32);
  --bg: #f8f2f2;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: var(--bg);
  color: #fff;
}

/* Navbar */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.4rem 7%;
  background-color: rgba(1, 1, 1, 0.8);
  border-bottom: 1px solid var(--primary); /* untuk buat warna garis dinav bar */
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 9999;
}

.navbar .navbar-logo {
  font-size: 2rem;
  font-weight: 700;
  color: #fff;
  font-style: normal;
}

.navbar .navbar-logo span {
  color: var(--primary);
}

.navbar .navbar-nav a {
  color: #fff;
  display: inline-block;
  font-size: 1.4rem;
  margin: 0 1rem;
}

.navbar .navbar-nav a:hover {
  color: var(--primary);
}

.navbar .navbar-nav a::after {
  content: "";
  display: block;
  padding-bottom: 0.5rem;
  border-bottom: 0.1rem solid var(--primary);
  transform: scaleX(0);
}

.navbar .navbar-extra a {
  color: #fff;
  margin: 0 0.5rem;
}

.navbar .navbar-nav a:hover::after {
}

.navbar .navbar-extra a:hover {
  color: #fffb00;
}

/* Hero Section */

.hero {
  min-height: 100vh;
  display: flex;
  align-items: center;
  background-image: url("../img/law.jpg");
  background-repeat: no-repeat;
  background-size: cover; /* ukuran layar penuh */
  background-position: center;
  position: relative; /* posisi non static */
}

/* ukuran warna background */

.hero::after {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 30%;
  bottom: 0;
  background: linear-gradient(
    0deg,
    rgba(1, 1, 3, 1) 8%,
    rgba(255, 255, 255, 0) 50%
  );
}

.hero .content {
  padding: 1.4rem 7%; /* tata letak font */
  max-width: 50rem; /* ukuran tulisan */
}

/* font shadow */

.hero .content h1 {
  font-size: 5rem;
  color: #fff;
  text-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
  line-height: 1.2;
}

.hero .content p {
  font-size: 1.6rem;
  margin-top: 1rem;
  line-height: 2;
  font-weight: 50; /* menipiskan font */
  mix-blend-mode: difference; /* untuk blend font agar paragraf panjang bisa nampil */
}

.hero .content .cta {
  display: inline-block;
  font-size: 1.2rem;
  color: #fff;
  background-color: var(--primary);
  border-radius: 0.5rem;
  box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.hero .content h3 {
  font-size: 3rem;
  color: #ffffff;
  text-shadow: 5px 9px 9px rgba(1, 1, 3, 0.5);
  line-height: 1.2;
  padding: 3rem;
}

/* About Section */

.about {
  padding: 10rem 7% 1.4rem; /* Tata Letak Tentang Kami */
  color: #000000;
}

.about h2 {
  text-align: center;
  font-size: 2.6rem;
  margin-bottom: 3rem;
}

.about h2 span {
  color: var(--primary); /* Untuk Buat Font Warnanya Selang Seling */
}

.about .row {
  display: flex;
}

.about .row .about-img {
  flex: 1 1 45rem;
}

.about .row .about-img img {
  width: 80%;
}

.about .row .content {
  flex: 1 1 35rem;
  padding: 0 1rem;
}

.about .row .content h3 {
  font-size: 1.8rem;
  margin-bottom: 1rem;
}

.about .row .content p {
  margin-bottom: 0.8rem;
  font-size: 1.4rem;
  line-height: 1.6;
  text-align: justify;
}

/* Service Section */

.service {
  padding: 10rem 7% 1.4rem; /* Tata Letak Tentang Kami */
  color: #000000;
}

.service h2 {
  text-align: center;
  font-size: 2.6rem;
  margin-bottom: 2rem;
}

.service h2 span {
  color: var(--primary);
}

.service .row {
  display: flex;
  flex-wrap: wrap;
  margin-top: 5rem;
  justify-content: center;
}

.service .row .service-card {
  text-align: center;
  padding-bottom: 4rem; /* padding kebawah untuk mengatur logo menu/service lebih rapi */
}

.service .row .service-card img {
  border-radius: 50%;
  width: 80%;
  border-color: var(--primary);
}

.service .row .service-title {
  margin-top: 1.5rem;
}

.service p {
  text-align: center;
  max-width: 30rem; /* Agar tidak satu layar penuh tulisannya */
  margin: auto; /* Agar paragraf ke posisi tengah */
  font-size: 1.5rem;
}

/* members */

.members {
  padding: 10rem 7% 1.4rem; /* Members */
  color: #000000;
}

.members h2 {
  color: var(--primary);
  font-size: 3rem;
  display: flex;
  justify-content: center;
  padding: 2rem;
}

.members p {
  text-align: center;
  max-width: 30rem; /* Agar tidak satu layar penuh tulisannya */
  margin: auto; /* Agar paragraf ke posisi tengah */
  font-size: 3.5rem;
  color: #000000;
}

.members .row {
  display: flex;
  flex-wrap: wrap;
  margin-top: 5rem;
  justify-content: center;
}

.members .row .service-card {
  text-align: center;
  padding-bottom: 4rem; /* padding kebawah untuk mengatur logo menu/service lebih rapi */
}

.members .row .service-card img {
  border-radius: 50%;
  width: 80%;
  border-color: var(--primary);
}

.members .row .service-title {
  margin-top: 1.5rem;
}

.members .managing {
  display: flex;
  flex-wrap: wrap;
  margin-top: 5rem;
  justify-content: center;
}

.members .managing .service-card {
  text-align: center;
  padding-bottom: 4rem; /* padding kebawah untuk mengatur logo menu/service lebih rapi */
}

.members .managing .service-card img {
  border-radius: 50%;
  width: 80%;
  border-color: var(--primary);
}

.members .managing .service-title {
  margin-top: 1.5rem;
}

/* riwayat */

.members .riwayat {
  display: flex;
}

.members .riwayat {
  flex: 1 1 35rem;
  padding: 0 1rem;
}

.members .riwayat {
  font-size: 1.8rem;
  margin-bottom: 1rem;
}

.members .riwayat p {
  margin-bottom: 0.8rem;
  font-size: 1.4rem;
  line-height: 1.6;
  text-align: justify;
  color: #000000;
}

/* informasi */

.informasi {
  padding: 10rem 7% 1.4rem; /* Tata Letak Tentang Kami */
  color: #000000;
}

.informasi h2 {
  text-align: center;
  font-size: 2.6rem;
  margin-bottom: 3rem;
}

.informasi h2 span {
  color: var(--primary); /* Untuk Buat Font Warnanya Selang Seling */
}

.informasi .row {
  display: flex;
}

.informasi .row .content {
  flex: 1 1 35rem;
  padding: 0 1rem;
}

.informasi .row .content h3 {
  font-size: 1.8rem;
  margin-bottom: 1rem;
}

.informasi .row .content p {
  margin-bottom: 0.8rem;
  font-size: 1.4rem;
  line-height: 1.6;
  text-align: justify;
}

.card:hover {
  flex-grow: 1;
}

.card div {
  background: rgba(0, 0, 0, 0.5);
  color: #fff;
  font-size: 1.8em;
  padding: 0.5em;
  text-align: center;
}

.card div {
  visibility: hidden;
  transition: 0.5s ease-in-out;
}

.card:hover div {
  visibility: visible;
}

/* Contact Section */

.contact {
  padding: 20rem 7% 1.4rem; /* Tata Letak Tentang Kami */
  color: #ffffff;
}

.contact h2 {
  text-align: center;
  font-size: 2.6rem;
  margin-bottom: 4rem;
}

.contact h2 span {
  color: var(--primary); /* Untuk Buat Font Warnanya Selang Seling */
}

.contact .call h2 {
  text-align: center;
  font-size: 2.6rem;
  margin-bottom: 1rem;
  color: var(#fff);
}

.contact .row .call p {
  display: flex;

  flex: 1 1 45rem;

  margin-top: 2rem;

  margin: auto; /* Agar paragraf ke posisi tengah */

  font-size: 3rem;

  text-align: center;

  flex-wrap: wrap;
}

.contact .row {
  display: flex;

  flex: 1 1 45rem;

  margin-top: 2rem;

  margin: auto; /* Agar paragraf ke posisi tengah */

  font-size: 3rem;

  background-color: #0ea700;

  text-align: center;

  flex-wrap: wrap;
}

.contact .row .map {
  flex: 1 1 45rem;

  width: 100%;

  object-fit: cover;
}

.contact .row .call {
  display: flex;
}

.contact .call img {
  padding: 1rem;
  width: 13%;
}

/* Media Queries */

/* Laptop */
@media (max-width: 1366px) {
  html {
    font-size: 75%;
  }
}

/* footer */

footer {
  background-color: #000000;
  text-align: center;
  padding: 1rem;
  margin-top: 20rem;
}

footer .socials {
  padding: 1rem 0;
}

/* Tablet */
@media (max-width: 756px) {
  html {
    font-size: 61%;
  }

  .about .row {
    flex-wrap: wrap;
  }

  .about .row .about-img img {
    object-fit: cover; /* agar img tidak ketarik saat layar diperbesar */

    object-position: center;
  }

  .about .row .content {
    padding: 0; /* supaya paragraf sejejer dengan imagenya */
  }

  .about .row .content h3 {
    margin-top: 1rem;

    font-size: 2rem;
  }

  .about .row .content p {
    font-size: 2rem; /* Untuk memperbesar huruf diparagraf */
  }
}

.service p {
  font-size: 1.2rem; /* Mengatur paragraf agar jarak baris tulisan sesuai di tampilan tablet */
}

/* Mobile Phone */
@media (max-width: 450px) {
  html {
    font-size: 55%;
  }

  .about .row .about-img img {
    width: 50%;
  }
}

#gallery-camera {
  display: inline-block;
}
